Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ide
Class VAJLoadProjects.VAJProjectDescription

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ide.VAJLoadProjects.VAJProjectDescription

Enclosing class:
  VAJLoadProjects

public class VAJLoadProjects.VAJProjectDescription
extends java.lang.Object

Class to maintain VisualAge for Java Workspace Project descriptions.

Constructor Summary
`VAJLoadProjects.VAJProjectDescription()`
`VAJLoadProjects.VAJProjectDescription(java.lang.String n, java.lang.String v)`

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getVersion()`
`boolean` | `projectFound()`
`void` | `setName(java.lang.String newName)`
`void` | `setProjectFound()`
`void` | `setVersion(java.lang.String newVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VAJLoadProjects.VAJProjectDescription

    public VAJLoadProjects.VAJProjectDescription()

### VAJLoadProjects.VAJProjectDescription

    public VAJLoadProjects.VAJProjectDescription(java.lang.String n,
                                                 java.lang.String v)

Method Detail

### getName

    public java.lang.String getName()

### getVersion

    public java.lang.String getVersion()

### projectFound

    public boolean projectFound()

### setName

    public void setName(java.lang.String newName)

### setVersion

    public void setVersion(java.lang.String newVersion)

### setProjectFound

    public void setProjectFound()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.